package com.fjhx.xmhjc.aspect;

import cn.hutool.core.util.ObjectUtil;
import cn.hutool.core.util.StrUtil;
import cn.hutool.extra.servlet.ServletUtil;
import com.fjhx.xmhjc.anno.LoginValid;
import com.fjhx.xmhjc.constants.LoginConstant;
import com.fjhx.xmhjc.entity.website.po.WebsiteUsers;
import com.ruoyi.common.core.redis.RedisCache;
import com.ruoyi.common.utils.ServletUtils;
import com.ruoyi.common.utils.spring.SpringUtils;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Before;
import org.aspectj.lang.annotation.Pointcut;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * @author hj
 * @date 2023年11月17日 10:20
 */
@Aspect
@Component
public class LoginValidAspect {
    @Resource
    private RedisCache redisCache;

    @Pointcut("@annotation(loginValid)")
    public void loginValidPointcut(LoginValid loginValid) {
        System.out.println("loginValidPointcut");
    }

    @Before("@annotation(loginValid)")
    public void loginValidBefore(LoginValid loginValid) {
        HttpServletRequest request = ServletUtils.getRequest();
        Map<String, String> headerMap = ServletUtil.getHeaderMap(request);
        headerMap.forEach((k, v) -> {
            System.out.println(k + ":" + v);
        });
        String token = request.getHeader(LoginConstant.LONGIN_HEAD);
        if (StrUtil.isBlank(token)) {
            throw new RuntimeException("请先登录");
        }
        WebsiteUsers websiteUsers = redisCache.getCacheObject(LoginConstant.TOKEN_PREFIX+token);
        if (ObjectUtil.isNull(websiteUsers)) {
            throw new RuntimeException("请先登录");
        }
    }

}
