package com.fjhx.xmhjc.controller.open;

import com.fjhx.xmhjc.entity.about.vo.AboutUsHonorVo;
import com.fjhx.xmhjc.entity.column.dto.ColumnArticleSelectDto;
import com.fjhx.xmhjc.entity.column.dto.ColumnMenuSelectDto;
import com.fjhx.xmhjc.entity.column.dto.ColumnMenuSubSelectDto;
import com.fjhx.xmhjc.entity.column.vo.ColumnArticleVo;
import com.fjhx.xmhjc.entity.column.vo.ColumnMenuSubVo;
import com.fjhx.xmhjc.entity.column.vo.ColumnMenuVo;
import com.fjhx.xmhjc.service.about.AboutUsHonorService;
import com.fjhx.xmhjc.service.column.ColumnArticleService;
import com.fjhx.xmhjc.service.column.ColumnMenuService;
import com.fjhx.xmhjc.service.column.ColumnMenuSubService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 菜单栏目文章 前端控制器
 *
 * @author lqh
 * @since 2023-11-13
 */
@RestController
@RequestMapping("/open/aboutUsHonor")
public class OpenColumnController {

    @Autowired
    private ColumnMenuService columnMenuService;
    @Autowired
    private ColumnMenuSubService columnMenuSubService;
    @Autowired
    private ColumnArticleService columnArticleService;

    /**
     * 门户菜单列表
     */
    @PostMapping("/getMenuByOpen")
    public List<ColumnMenuVo> getMenuListByOpen() {
        ColumnMenuSelectDto dto = new ColumnMenuSelectDto();
        dto.setStatus("1");
        return columnMenuService.getList(dto);
    }

    /**
     * 门户菜单列表
     */
    @PostMapping("/getMenuSubByOpen")
    public List<ColumnMenuSubVo> getMenuListByOpen(@RequestBody ColumnMenuSubSelectDto dto ) {
        dto.setStatus("1");
        return columnMenuSubService.getList(dto);
    }

    /**
     * 门户菜单列表
     */
    @PostMapping("/getArticleByOpen")
    public List<ColumnArticleVo> getArticleByOpen(@RequestBody ColumnArticleSelectDto dto ) {
        dto.setStatus("1");
        return columnArticleService.getList(dto);
    }

}
