package com.fjhx.xmhjc.controller.product;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.product.vo.ProductImageVo;
import com.fjhx.xmhjc.entity.product.dto.ProductImageSelectDto;
import com.fjhx.xmhjc.entity.product.dto.ProductImageDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.xmhjc.service.product.ProductImageService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * <p>
 * 产品图片 前端控制器
 * </p>
 *
 * @author hj
 * @since 2023-11-12
 */
@RestController
@RequestMapping("/productImage")
public class ProductImageController {

    @Autowired
    private ProductImageService productImageService;

    /**
     * 产品图片列表
     */
    @PostMapping("/list")
    public List<ProductImageVo> list(@RequestBody ProductImageSelectDto dto) {
        return productImageService.getList(dto);
    }

    /**
     * 产品图片分页
     */
    @PostMapping("/page")
    public Page<ProductImageVo> page(@RequestBody ProductImageSelectDto dto) {
        return productImageService.getPage(dto);
    }

    /**
     * 产品图片明细
     */
    @PostMapping("/detail")
    public ProductImageVo detail(@RequestBody BaseSelectDto dto) {
        return productImageService.detail(dto.getId());
    }

    /**
     * 产品图片新增
     */
    @PostMapping("/add")
    public void add(@RequestBody ProductImageDto productImageDto) {
        productImageService.add(productImageDto);
    }

    /**
     * 产品图片编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody ProductImageDto productImageDto) {
        productImageService.edit(productImageDto);
    }

    /**
     * 产品图片删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        productImageService.delete(dto.getId());
    }

}
