package com.fjhx.xmhjc.controller.product;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.product.vo.ProductSubCategoryVo;
import com.fjhx.xmhjc.entity.product.dto.ProductSubCategorySelectDto;
import com.fjhx.xmhjc.entity.product.dto.ProductSubCategoryDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.xmhjc.service.product.ProductSubCategoryService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 产品类目表 前端控制器
 * </p>
 *
 * @author hj
 * @since 2023-11-16
 */
@RestController
@RequestMapping("/productSubCategory")
public class ProductSubCategoryController {

    @Autowired
    private ProductSubCategoryService productSubCategoryService;

    /**
     * 产品类目表分页
     */
    @PostMapping("/page")
    public Page<ProductSubCategoryVo> page(@RequestBody ProductSubCategorySelectDto dto) {
        return productSubCategoryService.getPage(dto);
    }

    /**
     * 产品类目表明细
     */
    @PostMapping("/detail")
    public ProductSubCategoryVo detail(@RequestBody BaseSelectDto dto) {
        return productSubCategoryService.detail(dto.getId());
    }

    /**
     * 产品类目表新增
     */
    @PostMapping("/add")
    public void add(@RequestBody ProductSubCategoryDto productSubCategoryDto) {
        productSubCategoryService.add(productSubCategoryDto);
    }

    /**
     * 产品类目表编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody ProductSubCategoryDto productSubCategoryDto) {
        productSubCategoryService.edit(productSubCategoryDto);
    }

    /**
     * 产品类目表删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        productSubCategoryService.delete(dto.getId());
    }

}
