package com.fjhx.xmhjc.controller.website;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.website.vo.WebsiteUsersVo;
import com.fjhx.xmhjc.entity.website.dto.WebsiteUsersSelectDto;
import com.fjhx.xmhjc.entity.website.dto.WebsiteUsersDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.xmhjc.service.website.WebsiteUsersService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * <p>
 * 首页用户 前端控制器
 * </p>
 *
 * @author hj
 * @since 2023-11-17
 */
@RestController
@RequestMapping("/websiteUsers")
public class WebsiteUsersController {

    @Autowired
    private WebsiteUsersService websiteUsersService;

    /**
     * 首页用户列表
     */
    @PostMapping("/list")
    public List<WebsiteUsersVo> list(@RequestBody WebsiteUsersSelectDto dto) {
        return websiteUsersService.getList(dto);
    }

    /**
     * 首页用户分页
     */
    @PostMapping("/page")
    public Page<WebsiteUsersVo> page(@RequestBody WebsiteUsersSelectDto dto) {
        return websiteUsersService.getPage(dto);
    }

    /**
     * 首页用户明细
     */
    @PostMapping("/detail")
    public WebsiteUsersVo detail(@RequestBody BaseSelectDto dto) {
        return websiteUsersService.detail(dto.getId());
    }

    /**
     * 首页用户新增
     */
    @PostMapping("/add")
    public void add(@RequestBody WebsiteUsersDto websiteUsersDto) {
        websiteUsersService.add(websiteUsersDto);
    }

    /**
     * 首页用户编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody WebsiteUsersDto websiteUsersDto) {
        websiteUsersService.edit(websiteUsersDto);
    }

    /**
     * 首页用户删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        websiteUsersService.delete(dto.getId());
    }

}
