package com.fjhx.xmhjc.service.about.impl;

import com.alibaba.fastjson.JSON;
import com.fjhx.file.entity.FileInfoVo;
import com.fjhx.file.utils.ObsFileUtil;
import com.fjhx.xmhjc.entity.about.po.AboutUsCulture;
import com.fjhx.xmhjc.entity.about.po.AboutUsHonor;
import com.fjhx.xmhjc.entity.about.vo.AboutUsHonorVo;
import com.fjhx.xmhjc.mapper.about.AboutUsCultureMapper;
import com.fjhx.xmhjc.service.about.AboutUsCultureService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.SqlField;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.about.vo.AboutUsCultureVo;
import com.fjhx.xmhjc.entity.about.dto.AboutUsCultureSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.xmhjc.entity.about.dto.AboutUsCultureDto;
import cn.hutool.core.bean.BeanUtil;
import org.springframework.transaction.annotation.Transactional;

import java.beans.Transient;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 关于我们-企业文化 服务实现类
 * </p>
 *
 * @author lqh
 * @since 2023-11-14
 */
@Service
public class AboutUsCultureServiceImpl extends ServiceImpl<AboutUsCultureMapper, AboutUsCulture> implements AboutUsCultureService {

    @Override
    public List<AboutUsCultureVo> getList(AboutUsCultureSelectDto dto) {
        IWrapper<AboutUsCulture> wrapper = getWrapper();
        wrapper.orderByDesc("auc", AboutUsCulture::getId);
        List<AboutUsCultureVo> list = this.baseMapper.getList(wrapper);
        return list;
    }

    @Override
    public Page<AboutUsCultureVo> getPage(AboutUsCultureSelectDto dto) {
        IWrapper<AboutUsCulture> wrapper = getWrapper();
        wrapper.keyword(dto,new SqlField("auc",AboutUsCulture::getTitle));
        wrapper.orderByDesc("auc", AboutUsCulture::getId);
        Page<AboutUsCultureVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public AboutUsCultureVo detail(Long id) {
        AboutUsCulture AboutUsCulture = this.getById(id);
        AboutUsCultureVo result = BeanUtil.toBean(AboutUsCulture, AboutUsCultureVo.class);
        result.setSubTitleListReslut(JSON.parseArray(result.getSubtitleJson(),String.class));
        return result;
    }

    @Override
    @Transactional
    public void add(AboutUsCultureDto aboutUsCultureDto) {
        aboutUsCultureDto.setSubtitleJson(JSON.toJSONString(aboutUsCultureDto.getSubTitleListReslut()));
        this.save(aboutUsCultureDto);
    }

    @Override
    public void edit(AboutUsCultureDto aboutUsCultureDto) {
        aboutUsCultureDto.setSubtitleJson(JSON.toJSONString(aboutUsCultureDto.getSubTitleListReslut()));
        this.updateById(aboutUsCultureDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }


    @Override
    public List<AboutUsCultureVo> getListByOpen() {
        IWrapper<AboutUsCulture> wrapper = getWrapper();
        wrapper.eq(AboutUsCulture::getStatus,"1");
        wrapper.orderByAsc("auc", AboutUsCulture::getSort);
        List<AboutUsCultureVo> list = this.baseMapper.getList(wrapper);

        list.forEach(x->{
            x.setSubTitleListReslut(JSON.parseArray(x.getSubtitleJson(),String.class));
        });

        return list;
    }
}
